<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: BatteryMonitor.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_battery_monitor_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">BatteryMonitor.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_battery_monitor_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef BATTERYMONITOR_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define BATTERYMONITOR_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_group_box_8h.html">GroupBox.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;{</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <span class="keyword">namespace </span>gui</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    {</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        <span class="keyword">class </span>LayoutPosition;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <span class="keyword">class </span>Label;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="keyword">class </span>DoubleSpinBox;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    }</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;}</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;{</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>sensor</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;{</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="classframework_1_1sensor_1_1_battery_monitor.html">   34</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1sensor_1_1_battery_monitor.html">BatteryMonitor</a> : <span class="keyword">public</span> <a class="code" href="classframework_1_1gui_1_1_group_box.html">gui::GroupBox</a></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    {</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_battery_monitor.html#a67104e712b1b02838e934b314bbd92c6">BatteryMonitor</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1gui_1_1_layout_position.html">gui::LayoutPosition</a>* position,std::string name);</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_battery_monitor.html#a09e6ceffaa1f36a5c5440b0d48c9766d">~BatteryMonitor</a>();</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;            <span class="keywordtype">bool</span> <a class="code" href="classframework_1_1sensor_1_1_battery_monitor.html#a7dc52be9f5270a9c7e879a908cf938ce">IsBatteryLow</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1sensor_1_1_battery_monitor.html#abc1f4bb2bb538563f8b690aa76b199f5">SetBatteryValue</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;            <span class="keywordtype">float</span> <a class="code" href="classframework_1_1sensor_1_1_battery_monitor.html#a94958b7fa638911e0ef1d69562e50fc8">GetVoltage</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            <span class="keywordtype">float</span> batteryvalue;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_double_spin_box.html">gui::DoubleSpinBox</a> *battery_thresh;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_label.html">gui::Label</a> *battery;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    };</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;} <span class="comment">// end namespace sensor</span></div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="preprocessor">#endif // BATTERYMONITOR_H</span></div>
<div class="ttc" id="classframework_1_1sensor_1_1_battery_monitor_html_a94958b7fa638911e0ef1d69562e50fc8"><div class="ttname"><a href="classframework_1_1sensor_1_1_battery_monitor.html#a94958b7fa638911e0ef1d69562e50fc8">framework::sensor::BatteryMonitor::GetVoltage</a></div><div class="ttdeci">float GetVoltage(void) const </div><div class="ttdoc">Get battery voltage. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_layout_position_html"><div class="ttname"><a href="classframework_1_1gui_1_1_layout_position.html">framework::gui::LayoutPosition</a></div><div class="ttdoc">Class to define a position in a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> LayoutPosition.h:26</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_group_box_html"><div class="ttname"><a href="classframework_1_1gui_1_1_group_box.html">framework::gui::GroupBox</a></div><div class="ttdoc">Class displaying a QGroupBox on the ground station. </div><div class="ttdef"><b>Definition:</b> GroupBox.h:25</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_label_html"><div class="ttname"><a href="classframework_1_1gui_1_1_label.html">framework::gui::Label</a></div><div class="ttdoc">Class displaying a QLabel on the ground station. </div><div class="ttdef"><b>Definition:</b> Label.h:26</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_battery_monitor_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_battery_monitor.html">framework::sensor::BatteryMonitor</a></div><div class="ttdoc">Base class for battery monitor. </div><div class="ttdef"><b>Definition:</b> BatteryMonitor.h:34</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_battery_monitor_html_a09e6ceffaa1f36a5c5440b0d48c9766d"><div class="ttname"><a href="classframework_1_1sensor_1_1_battery_monitor.html#a09e6ceffaa1f36a5c5440b0d48c9766d">framework::sensor::BatteryMonitor::~BatteryMonitor</a></div><div class="ttdeci">~BatteryMonitor()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_battery_monitor_html_a67104e712b1b02838e934b314bbd92c6"><div class="ttname"><a href="classframework_1_1sensor_1_1_battery_monitor.html#a67104e712b1b02838e934b314bbd92c6">framework::sensor::BatteryMonitor::BatteryMonitor</a></div><div class="ttdeci">BatteryMonitor(const gui::LayoutPosition *position, std::string name)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="_group_box_8h_html"><div class="ttname"><a href="_group_box_8h.html">GroupBox.h</a></div><div class="ttdoc">Class displaying a QGroupBox on the ground station. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_double_spin_box_html"><div class="ttname"><a href="classframework_1_1gui_1_1_double_spin_box.html">framework::gui::DoubleSpinBox</a></div><div class="ttdoc">Class displaying a QDoubleSpinBox on the ground station. </div><div class="ttdef"><b>Definition:</b> DoubleSpinBox.h:26</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_battery_monitor_html_abc1f4bb2bb538563f8b690aa76b199f5"><div class="ttname"><a href="classframework_1_1sensor_1_1_battery_monitor.html#abc1f4bb2bb538563f8b690aa76b199f5">framework::sensor::BatteryMonitor::SetBatteryValue</a></div><div class="ttdeci">void SetBatteryValue(float value)</div><div class="ttdoc">Set battery value. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_battery_monitor_html_a7dc52be9f5270a9c7e879a908cf938ce"><div class="ttname"><a href="classframework_1_1sensor_1_1_battery_monitor.html#a7dc52be9f5270a9c7e879a908cf938ce">framework::sensor::BatteryMonitor::IsBatteryLow</a></div><div class="ttdeci">bool IsBatteryLow(void) const </div><div class="ttdoc">Is batteru low? </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_ebc679b331e9832181885980c13d7a0f.html">SensorActuator</a></li><li class="navelem"><a class="el" href="dir_a3adf9203c955b1977c072f893948685.html">src</a></li><li class="navelem"><a class="el" href="_battery_monitor_8h.html">BatteryMonitor.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
